#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Net-SNMP
Version		:	v6.0.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Net::SNMP - Object oriented interface to SNMP
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Net::SNMP

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

BuildRequires	:	perl

Requires	:	perl
#-----------------------------------------------------------------------------
%description
The Net::SNMP module implements an object oriented
interface to the Simple Network Management Protocol.
Perl applications can use the module to retrieve or
update information on a remote host using the SNMP
protocol. The module supports SNMP version-1,
SNMP version-2c (Community-Based SNMPv2), and
SNMP version-3. The Net::SNMP module assumes that the
user has a basic understanding of the Simple Network
Management Protocol and related network management
concepts.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root, -)
%doc Changes README examples/
%{_bindir}/snmpkey
%{_datadir}/perl5/core_perl/Net/SNMP.pm
%{_datadir}/perl5/core_perl/Net/SNMP/*.pm
%{_datadir}/perl5/core_perl/Net/SNMP/Security/*.pm
%{_datadir}/perl5/core_perl/Net/SNMP/Transport/*.pm
%{_datadir}/perl5/core_perl/Net/SNMP/Transport/IPv4/*.pm
%{_datadir}/perl5/core_perl/Net/SNMP/Transport/IPv6/*.pm
%{_mandir}/man1/snmpkey.1.gz
%{_mandir}/man3/Net::SNMP.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
